/*
 * 2025-05-10 토
 */

/*
ALTER TABLE AGENTS DROP CONSTRAINT GRADS_AGENTS_FK;
ALTER TABLE AGENTS DROP CONSTRAINT PUCS_AGENTS_FK;
ALTER TABLE INCOME_TAXES DROP CONSTRAINT AGENTS_INCOME_TAXES_FK;
ALTER TABLE ORDERS DROP CONSTRAINT AGENTS_ORDERS_FK;
ALTER TABLE ORDERS DROP CONSTRAINT ORDER_TYPES_ORDERS_FK;
ALTER TABLE ORDERS DROP CONSTRAINT PUCS_ORDERS_FK;
ALTER TABLE ORDER_DETAILS DROP CONSTRAINT ORDERS_ORDER_DETAILS_FK;
ALTER TABLE ORDER_DETAILS DROP CONSTRAINT PRODUCTS_ORDER_DETAILS_FK;
ALTER TABLE ORDER_RECEIPTS DROP CONSTRAINT ORDERS_ORDER_RECEIPTS_FK;
ALTER TABLE ORDER_RECEIPTS DROP CONSTRAINT RECEIPTS_ORDER_RECEIPTS_FK;
ALTER TABLE PAYS DROP CONSTRAINT AGENTS_PAYS_FK;
ALTER TABLE PAYS DROP CONSTRAINT GRADES_PAYS_FK;
ALTER TABLE PAYS DROP CONSTRAINT PAYKINDS_PAYS_FK;
ALTER TABLE PRODUCTS DROP CONSTRAINT CATEGORIES_PRODUCTS_FK;
*/

ALTER TABLE AGENTS ADD CONSTRAINT GRADS_AGENTS_FK FOREIGN KEY (GRADE_ID) REFERENCES GRADES (GRADE_ID);
ALTER TABLE AGENTS ADD CONSTRAINT PUCS_AGENTS_FK FOREIGN KEY (PUC_ID) REFERENCES PUCS (PUC_ID);
ALTER TABLE INCOME_TAXES ADD CONSTRAINT AGENTS_INCOME_TAXES_FK FOREIGN KEY (AGENT_ID) REFERENCES AGENTS (AGENT_ID);
ALTER TABLE ORDERS ADD CONSTRAINT AGENTS_ORDERS_FK FOREIGN KEY (AGENT_ID) REFERENCES AGENTS (AGENT_ID);
ALTER TABLE ORDERS ADD CONSTRAINT ORDER_TYPES_ORDERS_FK FOREIGN KEY (ORDER_TYPE_ID) REFERENCES ORDER_TYPES (ORDER_TYPE_ID);
ALTER TABLE ORDERS ADD CONSTRAINT PUCS_ORDERS_FK FOREIGN KEY (PUC_ID) REFERENCES PUCS (PUC_ID);
ALTER TABLE ORDER_DETAILS ADD CONSTRAINT ORDERS_ORDER_DETAILS_FK FOREIGN KEY (ORDER_ID) REFERENCES ORDERS (ORDER_ID);
ALTER TABLE ORDER_DETAILS ADD CONSTRAINT PRODUCTS_ORDER_DETAILS_FK FOREIGN KEY (PRODUCT_ID) REFERENCES PRODUCTS (PRODUCT_ID);
ALTER TABLE ORDER_RECEIPTS ADD CONSTRAINT ORDERS_ORDER_RECEIPTS_FK FOREIGN KEY (ORDER_ID) REFERENCES ORDERS (ORDER_ID);
ALTER TABLE ORDER_RECEIPTS ADD CONSTRAINT RECEIPTS_ORDER_RECEIPTS_FK FOREIGN KEY (RECEIPT_ID) REFERENCES RECEIPTS (RECEIPT_ID);
ALTER TABLE PAYS ADD CONSTRAINT AGENTS_PAYS_FK FOREIGN KEY (AGENT_ID) REFERENCES AGENTS (AGENT_ID);
ALTER TABLE PAYS ADD CONSTRAINT GRADES_PAYS_FK FOREIGN KEY (GRADE_ID) REFERENCES GRADES (GRADE_ID);
ALTER TABLE PAYS ADD CONSTRAINT PAYKINDS_PAYS_FK FOREIGN KEY (PAYKIND_ID) REFERENCES PAYKINDS (PAYKIND_ID);
ALTER TABLE PRODUCTS ADD CONSTRAINT CATEGORIES_PRODUCTS_FK FOREIGN KEY (CATEGORY_ID) REFERENCES CATEGORIES (CATEGORY_ID);
