/*
 * 2025-05-07 수
 */
 
/*
-- DAYS
ALTER TABLE DAYS DROP CONSTRAINT DAYS_COURSE_FK;

 -- DAYTIMES
ALTER TABLE DAYTIMES DROP CONSTRAINT DAYTIMES_DAYS_FK;
ALTER TABLE DAYTIMES DROP CONSTRAINT DAYTIMES_SUBJECT_FK;

-- SUBJECT
ALTER TABLE SUBJECT DROP CONSTRAINT SUBJECT_COURSE_FK;
ALTER TABLE SUBJECT DROP CONSTRAINT SUBJECT_EDU_TYPE_FK;
ALTER TABLE SUBJECT DROP CONSTRAINT SUBJECT_SUBJECT_CATEGORY_FK;
ALTER TABLE SUBJECT DROP CONSTRAINT SUBJECT_TEACHER_FK;

-- SUBJECT_CONTENTS
ALTER TABLE SUBJECT_CONTENTS DROP CONSTRAINT SUBJECT_CONTENTS_SUBJECT_FK;

-- TIMETABLE_MASTER
ALTER TABLE TIMETABLE_MASTER DROP CONSTRAINT TIMETABLE_MASTER_COURSE_FK;

-- TIMETABLE_DETAIL
ALTER TABLE TIMETABLE_DETAIL DROP CONSTRAINT TIMETABLE_DETAIL_MASTER_FK;
*/

-- DAYS
ALTER TABLE DAYS ADD CONSTRAINT DAYS_COURSE_FK
    FOREIGN KEY (COURSE_ID) REFERENCES COURSE (ID);

-- DAYTIMES
ALTER TABLE DAYTIMES ADD CONSTRAINT DAYTIMES_DAYS_FK
    FOREIGN KEY (DAYS_ID) REFERENCES DAYS (ID);
ALTER TABLE DAYTIMES ADD CONSTRAINT DAYTIMES_SUBJECT_FK
    FOREIGN KEY (SUBJECT_ID) REFERENCES SUBJECT (ID);

-- SUBJECT
ALTER TABLE SUBJECT ADD CONSTRAINT SUBJECT_COURSE_FK
    FOREIGN KEY (COURSE_ID) REFERENCES COURSE (ID);
ALTER TABLE SUBJECT ADD CONSTRAINT SUBJECT_EDU_TYPE_FK
    FOREIGN KEY (EDU_TYPE_ID) REFERENCES EDU_TYPE (ID);
ALTER TABLE SUBJECT ADD CONSTRAINT SUBJECT_SUBJECT_CATEGORY_FK
    FOREIGN KEY (SUBJECT_CATEGORY_ID) REFERENCES SUBJECT_CATEGORY (ID);
ALTER TABLE SUBJECT ADD CONSTRAINT SUBJECT_TEACHER_FK
    FOREIGN KEY (TEACHER_ID) REFERENCES TEACHER (ID);

-- SUBJECT_CONTENTS
ALTER TABLE SUBJECT_CONTENTS ADD CONSTRAINT SUBJECT_CONTENTS_SUBJECT_FK
    FOREIGN KEY (SUBJECT_ID) REFERENCES SUBJECT (ID);

-- TIMETABLE_MASTER
ALTER TABLE TIMETABLE_MASTER ADD CONSTRAINT TIMETABLE_MASTER_COURSE_FK
    FOREIGN KEY (COURSE_ID) REFERENCES COURSE (ID);

-- TIMETABLE_DETAIL
ALTER TABLE TIMETABLE_DETAIL ADD CONSTRAINT TIMETABLE_DETAIL_MASTER_FK
    FOREIGN KEY (TIMETABLE_MASTER_ID) REFERENCES TIMETABLE_MASTER (ID);
