/*
 * 2025-05-07 수
 */

CREATE VIEW SC_NAME (
  SUBJECT_ID, 
  SC_SEQ, 
  SUBJECT_NAME, 
  SC_SUMMARY, 
  TEACHER_ALIAS
) 
AS
SELECT SC.SUBJECT_ID, SC.SEQ AS SC_SEQ, S.NAME || ' (' || E.NAME || ')' AS SUBJECT_NAME,
            SC.SUMMARY AS SC_SUMMARY, T.ALIAS AS TEACHER_ALIAS
        FROM SUBJECT_CONTENTS SC
            INNER JOIN SUBJECT S ON SC.SUBJECT_ID = S.ID
            INNER JOIN EDU_TYPE E ON S.EDU_TYPE_ID = E.ID
            INNER JOIN TEACHER T ON S.TEACHER_ID = T.ID
;
